Subject: Re: Version 1.8.1 does not compile on Cygwin 1.7.14

From: Mark Levedahl <[email-masked]>
Date: Mon, 07 Jan 2013 22:12:53 -0500

On 01/07/2013 02:29 AM, Junio C Hamano wrote:
>
> I do not have much stake in this personally, but IIRC, the (l)stat
> workaround was back then found to make Cygwin version from "unusably
> slow" to "slow but torelable", as our POSIX-y codebase assumes that
> lstat is fairly efficient, which Cygwin cannot satisify because it
> has call many win32 calls to collect bits that we do not even look
> at, in order to give faithful emulation.  It does place extra
> maintenance burden
The maintenance burden is the only issue here, and I just wanted to 
point out the origin. I never enable that run-time option, the small 
gain in speed cannot compensate the loss of cross-platform operations 
for my uses. Actually, my git usage is mostly on Linux, but it seems 99% 
of my maintenance time is on the cygwin side that I almost never use. Sigh.

Mark